Upstream information

CVE-2016-8602 at MITRE

Description

The .sethalftone5 function in psi/zht2.c in Ghostscript before 9.21 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted Postscript document that calls .sethalftone5 with an empty operand stack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1001951 [RESOLVED / FIXED], 1004237 [RESOLVED / FIXED], 1036453 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • ghostscript >= 9.26a-3.15.1
  • ghostscript-devel >= 9.26a-3.15.1
  • ghostscript-x11 >= 9.26a-3.15.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA ghostscript-9.26a-3.15.1
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • ghostscript >= 9.52-3.32.1
  • ghostscript-devel >= 9.52-3.32.1
  • ghostscript-x11 >= 9.52-3.32.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA ghostscript-9.52-3.32.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • ghostscript >= 9.52-3.27.2
  • ghostscript-devel >= 9.52-3.27.2
  • ghostscript-x11 >= 9.52-3.27.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA ghostscript-9.52-3.27.2
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ghostscript-devel >= 8.62-32.41.1
  • ghostscript-ijs-devel >= 8.62-32.41.1
  • libgimpprint-devel >= 4.2.7-32.41.1
Patchnames:
sdksp4-ghostscript-12834
SUSE Linux Enterprise Desktop 12 SP1
  • ghostscript >= 9.15-14.1
  • ghostscript-devel >= 9.15-14.1
  • ghostscript-x11 >= 9.15-14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1557
SUSE-SLE-SDK-12-SP1-2016-1557
SUSE Linux Enterprise Desktop 12 SP3
  • ghostscript >= 9.15-22.1
  • ghostscript-devel >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA ghostscript-9.15-22.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ghostscript-devel-9.15-22.1
SUSE Linux Enterprise Desktop 12 SP4
  • ghostscript >= 9.25-23.13.1
  • ghostscript-devel >= 9.25-23.13.1
  • ghostscript-x11 >= 9.25-23.13.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA ghostscript-9.25-23.13.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA ghostscript-devel-9.25-23.13.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ghostscript >= 9.52-161.1
  • ghostscript-devel >= 9.52-161.1
  • ghostscript-x11 >= 9.52-161.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA ghostscript-9.52-161.1
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • ghostscript >= 9.23-1.16
  • ghostscript-devel >= 9.23-1.16
  • ghostscript-x11 >= 9.23-1.16
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA ghostscript-9.23-1.16
SUSE Linux Enterprise High Performance Computing 12 SP5
  • ghostscript >= 9.27-23.28.1
  • ghostscript-x11 >= 9.27-23.28.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA ghostscript-9.27-23.28.1
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • ghostscript-devel >= 8.62-32.41.1
  • ghostscript-fonts-other >= 8.62-32.41.1
  • ghostscript-fonts-rus >= 8.62-32.41.1
  • ghostscript-fonts-std >= 8.62-32.41.1
  • ghostscript-ijs-devel >= 8.62-32.41.1
  • ghostscript-library >= 8.62-32.41.1
  • ghostscript-omni >= 8.62-32.41.1
  • ghostscript-x11 >= 8.62-32.41.1
  • libgimpprint >= 4.2.7-32.41.1
  • libgimpprint-devel >= 4.2.7-32.41.1
Patchnames:
sdksp4-ghostscript-12834
slessp4-ghostscript-12834
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • ghostscript >= 9.15-14.1
  • ghostscript-devel >= 9.15-14.1
  • ghostscript-x11 >= 9.15-14.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1557
SUSE-SLE-SERVER-12-SP1-2016-1557
SUSE Linux Enterprise Server 12 SP3
  • ghostscript >= 9.15-22.1
  • ghostscript-devel >= 9.15-22.1
  • ghostscript-x11 >= 9.15-22.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA ghostscript-9.15-22.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ghostscript-devel-9.15-22.1
SUSE Linux Enterprise Server 12 SP4
  • ghostscript >= 9.25-23.13.1
  • ghostscript-devel >= 9.25-23.13.1
  • ghostscript-x11 >= 9.25-23.13.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA ghostscript-9.25-23.13.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA ghostscript-devel-9.25-23.13.1
SUSE Linux Enterprise Server 12 SP5
  • ghostscript >= 9.27-23.28.1
  • ghostscript-devel >= 9.27-23.28.1
  • ghostscript-x11 >= 9.27-23.28.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA ghostscript-9.27-23.28.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA ghostscript-devel-9.27-23.28.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ghostscript-devel >= 9.15-22.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ghostscript-devel-9.15-22.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ghostscript-devel >= 9.25-23.13.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA ghostscript-devel-9.25-23.13.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • ghostscript-devel >= 9.27-23.28.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA ghostscript-devel-9.27-23.28.1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ghostscript-devel >= 9.15-14.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1557
openSUSE Leap 15.0
  • ghostscript >= 9.23-lp150.1.1
  • ghostscript-x11 >= 9.23-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA ghostscript-9.23-lp150.1.1
openSUSE Leap 15.2
  • ghostscript >= 9.52-lp152.1.9
  • ghostscript-x11 >= 9.52-lp152.1.9
Patchnames:
openSUSE Leap 15.2 GA ghostscript-9.52-lp152.1.1
openSUSE Leap 15.3
  • ghostscript >= 9.52-3.32.1
  • ghostscript-x11 >= 9.52-3.32.1
Patchnames:
openSUSE Leap 15.3 GA ghostscript-9.52-3.32.1
openSUSE Leap 15.4
  • ghostscript >= 9.52-161.1
  • ghostscript-x11 >= 9.52-161.1
Patchnames:
openSUSE Leap 15.4 GA ghostscript-9.52-161.1
openSUSE Tumbleweed
  • ghostscript >= 9.20-2.1
  • ghostscript-devel >= 9.20-2.1
  • ghostscript-x11 >= 9.20-2.1
Patchnames:
openSUSE Tumbleweed GA ghostscript-9.20-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ghostscript Affected
SUSE Linux Enterprise Desktop 11 SP4 ghostscript-library Released
SUSE Linux Enterprise Desktop 12 ghostscript Affected
SUSE Linux Enterprise Desktop 12 SP1 ghostscript Released
SUSE Linux Enterprise Desktop 12 SP2 ghostscript Affected
SUSE Linux Enterprise Desktop 12 SP3 ghostscript Affected
SUSE Linux Enterprise Desktop 12 SP4 ghostscript Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 ghostscript Affected
SUSE Linux Enterprise Point of Service 11 SP3 ghostscript-library Affected
SUSE Linux Enterprise Server 11 SP3 ghostscript-library Affected
SUSE Linux Enterprise Server 11 SP3-LTSS ghostscript-library Affected
SUSE Linux Enterprise Server 11 SP4 ghostscript-library Released
SUSE Linux Enterprise Server 11 SP4 LTSS ghostscript-library Affected
SUSE Linux Enterprise Server 11 SP4-LTSS ghostscript-library Released
SUSE Linux Enterprise Server 12 ghostscript Affected
SUSE Linux Enterprise Server 12 SP1 ghostscript Released
SUSE Linux Enterprise Server 12 SP1-LTSS ghostscript Affected
SUSE Linux Enterprise Server 12 SP2 ghostscript Affected
SUSE Linux Enterprise Server 12 SP2-BCL ghostscript Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS ghostscript Affected
SUSE Linux Enterprise Server 12 SP2-LTSS ghostscript Affected
SUSE Linux Enterprise Server 12 SP3 ghostscript Affected
SUSE Linux Enterprise Server 12 SP3-BCL ghostscript Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS ghostscript Affected
SUSE Linux Enterprise Server 12 SP3-LTSS ghostscript Affected
SUSE Linux Enterprise Server 12 SP4 ghostscript Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS ghostscript Affected
SUSE Linux Enterprise Server 12 SP4-LTSS ghostscript Affected
SUSE Linux Enterprise Server 12 SP5 ghostscript Affected
SUSE Linux Enterprise Server 12-LTSS ghostscript Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 ghostscript Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 ghostscript-library Released
SUSE Linux Enterprise Server for SAP Applications 12 ghostscript Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 ghostscript Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ghostscript Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ghostscript Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ghostscript Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ghostscript Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 ghostscript-library Released
SUSE Linux Enterprise Software Development Kit 12 ghostscript Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 ghostscript Released
SUSE Linux Enterprise Software Development Kit 12 SP2 ghostscript Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 ghostscript Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 ghostscript Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 ghostscript Affected
SUSE OpenStack Cloud 7 ghostscript Affected
SUSE OpenStack Cloud 8 ghostscript Affected
SUSE OpenStack Cloud 9 ghostscript Affected
SUSE OpenStack Cloud Crowbar 8 ghostscript Affected
SUSE OpenStack Cloud Crowbar 9 ghostscript Affected


SUSE Timeline for this CVE

CVE page created: Tue Oct 11 20:15:10 2016
CVE page last modified: Thu Dec 1 12:05:39 2022